using System;

internal sealed class Delegate144 : MulticastDelegate
{
	public extern double Invoke(object object_0);

	public static double smethod_0(object object_0, Delegate144 delegate144_1)
	{
		return delegate144_1(object_0);
	}

	public extern Delegate144(object object_0, IntPtr intptr_0);

	static Delegate144()
	{
		Class10.smethod_13(typeof(Delegate144).TypeHandle);
	}

	internal static Delegate144 delegate144_0;
}
